Results 1 to 8 of 8

Thread: openGL not working, BadRequest error

  1. #1
    Join Date
    Jan 2013
    Beans
    4

    openGL not working, BadRequest error

    I'm trying to run an openGL program but I keep getting this message:

    X Error of failed request: BadRequest (invalid request code or no such operation)
    Major opcode of failed request: 154 (GLX)
    Minor opcode of failed request: 34 ()
    Serial number of failed request: 34
    Current serial number in output stream: 33

    What is going on and how do I fix it? Thanks for your help!

  2. #2
    Join Date
    Feb 2012
    Location
    el_GR
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: openGL not working, BadRequest error

    Hi ,
    more informations will help to solve the problem..

    Open a terminal and apply the commands
    Code:
    lsb_release -rcd ; uname -r
    lspci -nnk | grep -iA2 vga
    sudo apt-get install mesa-utils
    glxinfo | grep -i render
    Please click on "New Reply" and put the results inside [CODE] tags to be easier to read. See here how


    Thanks
    # How to mark the Thread as [SOLVED] when done.
    # Ubuntu Greek Community
    # Gain 20GB of space on copy.com when sign up with my referral link.

  3. #3
    Join Date
    Jan 2013
    Beans
    4

    Re: openGL not working, BadRequest error

    Here's what I got after applying those commands:
    Code:
    Description:	Ubuntu 12.04.1 LTS
    Release:	12.04
    Codename:	precise
    3.2.0-36-generic
    
    00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) [8086:2a02] (rev 0c)
    	Subsystem: Hewlett-Packard Company Device [103c:30cc]
    	Kernel driver in use: i915
    
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    mesa-utils is already the newest version.
    mesa-utils set to manually installed.
    The following package was automatically installed and is no longer required:
      wine-gecko1.4
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    
    
    direct rendering: Yes
    OpenGL renderer string: Mesa DRI Intel(R) 965GM x86/MMX/SSE2
        GL_EXT_vertex_array_bgra, GL_NV_conditional_render,

  4. #4
    Join Date
    Feb 2012
    Location
    el_GR
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: openGL not working, BadRequest error

    I cannot see any specific problem , your card seems to recognized correctly and driver loaded correctly.

    What about openGL version ?

    Give the results of this command
    Code:
    /usr/lib/nux/unity_support_test -p
    Thanks
    # How to mark the Thread as [SOLVED] when done.
    # Ubuntu Greek Community
    # Gain 20GB of space on copy.com when sign up with my referral link.

  5. #5
    Join Date
    Jan 2013
    Beans
    4

    Re: openGL not working, BadRequest error

    Code:
    OpenGL vendor string:   Tungsten Graphics, Inc
    OpenGL renderer string: Mesa DRI Intel(R) 965GM x86/MMX/SSE2
    OpenGL version string:  2.1 Mesa 8.0.4
    
    Not software rendered:    yes
    Not blacklisted:          yes
    GLX fbconfig:             yes
    GLX texture from pixmap:  yes
    GL npot or rect textures: yes
    GL vertex program:        yes
    GL fragment program:      yes
    GL vertex buffer object:  yes
    GL framebuffer object:    yes
    GL version is 1.4+:       yes
    
    Unity 3D supported:       yes

  6. #6
    Join Date
    Feb 2012
    Location
    el_GR
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: openGL not working, BadRequest error

    Maybe that program you attempted to run , wants later version of OpenGL ?

    For example , steam for Linux (If I remember correctly) wants OpenGL > = 3.0 to run properly.

    Thanks
    # How to mark the Thread as [SOLVED] when done.
    # Ubuntu Greek Community
    # Gain 20GB of space on copy.com when sign up with my referral link.

  7. #7
    Join Date
    Jan 2013
    Beans
    4

    Re: openGL not working, BadRequest error

    Sorry for a stupid question but what's the best way to update openGL?

  8. #8
    Join Date
    Feb 2012
    Location
    el_GR
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: openGL not working, BadRequest error

    Quote Originally Posted by dransom90 View Post
    Sorry for a stupid question but what's the best way to update openGL?
    I think you cannot. Someone will correct me If I'm wrong , but I think you cannot update the OpenGL (except if you are a developer maybe).

    OpenGL is hardware and driver specific , so Intel made this driver (i915) to support for the specific card of yours the OpenGL 2.1.

    I have an Intel Ironlake in my Laptop and I have the same problem , I mean I cannot use OpenGL > of 2.1 (even with latest devel - MESA).

    So is not mesa problem , is Intel's problem , or if you are a developer (know programming.. etc) you can re-write the driver (i915) for your card to use newer OpenGL version. (Intel's driver is Open Source so the code is available).

    Thanks
    # How to mark the Thread as [SOLVED] when done.
    # Ubuntu Greek Community
    # Gain 20GB of space on copy.com when sign up with my referral link.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •